[
    {
        "Id": "945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f",
        "Created": "2025-08-19T15:05:34.491539565Z",
        "Path": "docker-entrypoint.sh",
        "Args": [
            "redis-server"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4100,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.466896983Z",
            "FinishedAt": "2025-08-22T21:11:19.78642993Z"
        },
        "Image": "sha256:9d1fe3a9a889c69d0b4febf6affb4a8d90213cc35196e11d379c87a753658ff1",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f/945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f-json.log",
        "Name": "/appflowy-cloud-redis-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "Mounts": [
                {
                    "Type": "volume",
                    "Source": "69e0a0fa40952877d5a108115edcd031cd4078e859b8eee84caa644903cc3f11",
                    "Target": "/data"
                }
            ],
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "945e7a7870e638ec3f34298a8b5315179efae91aadc8c8f6fa6f581d712c2c7f",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5a189674008ed998e68b6cea4600f81e6eee0c4b51d6f158fcf4182e55dd394-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/c6e827d02d10ad4e335fc9db53eebdc00b2e61566b57b7ed74566fe183eaa995/diff:/var/snap/docker/common/var-lib-docker/overlay2/79ffe4d8746921736ea0350f5eeae928b10dc93f667b6e251fc8dab04955be5f/diff:/var/snap/docker/common/var-lib-docker/overlay2/b2bf717b9983313e8bf4a503ec478df93506c6ed5094289fdd63c9e1d03ab5f3/diff:/var/snap/docker/common/var-lib-docker/overlay2/e61a260b382d17e42c879213d90a43fff6c742e00362fa1f4c37994444ea6b3d/diff:/var/snap/docker/common/var-lib-docker/overlay2/7b73eb92d9e7618f25723cc3a5a6b18479fb85ef1640c05c7ff22e11b447b78d/diff:/var/snap/docker/common/var-lib-docker/overlay2/01d94058e601b55b6a7ccf5656c183e88db3dcad8755a8d99bd23b129f612eb9/diff:/var/snap/docker/common/var-lib-docker/overlay2/fc99b5eb3905f8b361f87d3816589c87865a1906e99c03bf5fa6c122ee114336/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5a189674008ed998e68b6cea4600f81e6eee0c4b51d6f158fcf4182e55dd394/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5a189674008ed998e68b6cea4600f81e6eee0c4b51d6f158fcf4182e55dd394/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/f5a189674008ed998e68b6cea4600f81e6eee0c4b51d6f158fcf4182e55dd394/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "69e0a0fa40952877d5a108115edcd031cd4078e859b8eee84caa644903cc3f11",
                "Source": "/var/snap/docker/common/var-lib-docker/volumes/69e0a0fa40952877d5a108115edcd031cd4078e859b8eee84caa644903cc3f11/_data",
                "Destination": "/data",
                "Driver": "local",
                "Mode": "z",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "945e7a7870e6",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "6379/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "REDIS_DOWNLOAD_URL=http://download.redis.io/releases/redis-8.2.1.tar.gz",
                "REDIS_DOWNLOAD_SHA=e2c1cb9dd4180a35b943b85dfc7dcdd42566cdbceca37d0d0b14c21731582d3e"
            ],
            "Cmd": [
                "redis-server"
            ],
            "Image": "redis",
            "Volumes": {
                "/data": {}
            },
            "WorkingDir": "/data",
            "Entrypoint": [
                "docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "com.docker.compose.config-hash": "7e7b06caa911fd62945b3aac14c9cacbe42b8a7c63f41284a6a334802d18ac9c",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:9d1fe3a9a889c69d0b4febf6affb4a8d90213cc35196e11d379c87a753658ff1",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.replace": "2825ed51189cae306a12f582ec394909948fbbe75c3f003c434868f91dc502c0",
                "com.docker.compose.service": "redis",
                "com.docker.compose.version": "2.33.1"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "e203549c81039fef5e528f2b16623414a5453930ef8928bf18c3781d2ac8f025",
            "SandboxKey": "/run/snap.docker/netns/e203549c8103",
            "Ports": {
                "6379/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-redis-1",
                        "redis"
                    ],
                    "MacAddress": "de:c9:bd:7b:2f:ce",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "43c60d0293e7b77dd471339d0a737bfc471132af5e14728457ebc565f3cb07c7",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.6",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-redis-1",
                        "redis",
                        "945e7a7870e6"
                    ]
                }
            }
        }
    }
]
